<?


function sroom($str1, $str2) {
if ($str1['num'] == $str2['num']) :
return 0;
elseif ($str1['num'] < $str2['num']) :
return -1;
else :
return 1;
endif;
}

function screp($str1, $str2) {
if ($str1['crep'] == $str2['crep']) :
return 0;
elseif ($str1['crep'] < $str2['crep']) :
return -1;
else :
return 1;
endif;
}

function sread($str1, $str2) {
if ($str1['read'] == $str2['read']) :
return 0;
elseif ($str1['read'] > $str2['read']) :
return -1;
else :
return 1;
endif;
}
function stheme($str1, $str2) {
if ($str1['time_last'] == $str2['time_last']) :
return 0;
elseif ($str1['time_last'] > $str2['time_last']) :
return -1;
else :
return 1;
endif;
}
function stime($str1, $str2) {
if ($str1['time'] == $str2['time']) :
return 0;
elseif ($str1['time'] < $str2['time']) :
return -1;
else :
return 1;
endif;
}
function stime2($str1, $str2) {
if ($str1['time'] == $str2['time']) :
return 0;
elseif ($str1['time'] > $str2['time']) :
return -1;
else :
return 1;
endif;
}


?>
